﻿/// <reference path="../TypeDefinitions/jQuery/jQuery.d.ts" />
$(function () {
    var $top = $('#TopHeaderContainer');
    var $header = $('.header-alerts-fixed');

    var currentLevel = null;
    var currentMessage = null;
    var currentUrl = null;

    var updateData = function () {
        $.ajax({
            url: '/alerts',
            type: 'POST',
            success: function (data) {
                if (data) {
                    if (currentLevel != data.level) {
                        if (currentLevel)
                            $top.removeClass(currentLevel);

                        if (data.level)
                            $top.addClass(data.level);

                        currentLevel = data.level;
                    }

                    if (currentMessage != data.message || currentUrl != data.url) {
                        var $message = $('<a></a>');
                        $message.attr('href', data.url);
                        $message.text(data.message);
                        $header.children().remove();
                        $header.append($message);

                        currentMessage = data.message;
                        currentUrl = data.url;
                    }
                } else {
                    if (currentLevel) {
                        $top.removeClass(currentLevel);
                        currentLevel = null;
                    }

                    if (currentMessage || currentUrl) {
                        currentLevel = null;
                        currentMessage = null;
                        currentUrl = null;
                        $header.children().remove();
                    }
                }
            },
            complete: function () {
                window.setTimeout(updateData, 5000);
            }
        });
    };

    updateData();
});
